# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-profile
%global upstream_name django-profile

%global vcsdate 20110216
%global vcstag r458
%global release 8
%global obs_ver 0.6-0.6.20090813svnr420

Name:           python-module-django-profile
Version:        0.6
Release:        alt1_0.8.20110216svnr458.2
Summary:        Django pluggable user profile zone

Group:          Development/Python
License:        BSD
URL:            http://code.google.com/p/django-profile/
# svn export -%%{vcstag} http://django-profile.googlecode.com/svn/trunk/ django-profile-%%{version}-%%{vcstag}
# tar zcf django-profile-%%{version}-%%{vcstag}.tar.gz django-profile-%%{version}-%%{vcstag}
Source:         %{upstream_name}-%{version}-%{vcstag}.tar.gz

Patch0:         %{oldname}-django15.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Requires: python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3
Requires:       python-module-gdata
Requires:       python-module-imaging

Provides:       django-profile = %{version}-%{release}
Obsoletes:      django-profile <= %{obs_ver}
Source44: import.info

%description
This is a user private zone/profile management application, allowing
the user to take control of his account and insert information about
him in his profile.

Inside this package you will find a demo application which will show
you what can be accomplished with the rest of the utilities included
in the package.

%prep
%setup -q -n %{upstream_name}-%{version}-%{vcstag}
%patch0 -p1

# this html file shouldn't be executable
chmod a-x userprofile/templates/userprofile/base_2col.html

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%find_lang django
# remove useless django.po files
find $RPM_BUILD_ROOT -type f -name '*.po' -exec rm {} \;

%files -f django.lang
%doc INSTALL.txt CHANGELOG.txt LICENSE.txt README.txt TODO.txt demo/
%{python_sitelibdir_noarch}/userprofile-%{version}-py?.?.egg-info
%dir %{python_sitelibdir_noarch}/userprofile
%{python_sitelibdir_noarch}/userprofile/*.py*
%{python_sitelibdir_noarch}/userprofile/templates
%{python_sitelibdir_noarch}/userprofile/templatetags
%{python_sitelibdir_noarch}/userprofile/urls
# own the whole locale directory hierarchy
%dir %{python_sitelibdir_noarch}/userprofile/locale/
%dir %{python_sitelibdir_noarch}/userprofile/locale/*/
%dir %{python_sitelibdir_noarch}/userprofile/locale/*/*/
%exclude %{python_sitelibdir_noarch}/demo

%changelog
* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_0.8.20110216svnr458.2
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_0.7.20110216svnr458.2
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_0.6.20110216svnr458.2
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_0.5.20110216svnr458.2
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_0.4.20110216svnr458.1
- update to new release by fcimport

* Wed May 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_0.3.20110216svnr458
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_0.2.20110216svnr458.1
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_0.1.20110216svnr458
- initial fc import

